import { jsx } from "react/jsx-runtime";
import { TokenDEGO as TokenDEGO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDEGO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DEGO", "data-name": "TokenDEGO", ...props, children: /* @__PURE__ */ jsx(TokenDEGO$1, { variant }) });
  }
);
TokenDEGO.displayName = "TokenDEGO";
Object.assign(TokenDEGO, { isGdsIcon: true });
export {
  TokenDEGO
};
